### 1.35 `scalbn`, `scalbnf`—scale by power of two

Synopsis

         #include <math.h>
         double scalbn(double x, int y);
         float scalbnf(float x, int y);

Description
`scalbn` and `scalbnf` scale x by n, returning x times 2 to the power n. The result is computed by manipulating the exponent, rather than by actually performing an exponentiation or multiplication.

Returns
x times 2 to the power n.

Portability
Neither `scalbn` nor `scalbnf` is required by ANSI C or by the System V Interface Definition (Issue 2).